import { LitElement } from 'lit';
export declare const ICON_REDDIT = "icon-reddit";
export declare class IconRedditComponent extends LitElement {
    static readonly defaultTagName = "icon-reddit";
    static styles: any;
    size?: string;
    scheme?: string;
    private rootClassesParts;
    willUpdate(): void;
    protected render(): any;
}
